/* Reset styles */
html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure,
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}
/* End of Reset styles */

/* Definicion de variables */
:root {
    --main-color-background: #fff;
    --main-color-text: #343a40;
    --main-color-menu-text: #010038;
}

html, body {
    height: 100%;
    width: 100%;
    scroll-behavior: smooth;
}

html {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
}

/* Menu de navegación */
nav {
    background-color: var(--main-color-background);
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .2);
}

/* Toggle menu*/
.mi-toggle {
    position: absolute;
    top: 10px;
    right: 20px;
    width: 40px;
    cursor: pointer;
}

.mi-toggle:after,
.mi-toggle:before,
.mi-toggle div {
    background-color: var(--main-color-menu-text);
    border-radius: 3px;
    content: '';
    display: block;
    height: 5px;
    margin: 7px 0;
    transition: all .2s ease-in-out;
}

.mi-toggle.active:before {
    transform: translateY(12px) rotate(135deg);
}

.mi-toggle.active:after {
    transform: translateY(-12px) rotate(-135deg);
}

.mi-toggle.active div {
    transform: scale(0);
}

.active {
    display: block !important;
}

/* End of Toggle menu*/

.mi-navegacion-items {
    list-style-type: none;
    display: none;
    margin-left: 20px;
    font-size: 1.7rem;
}

.mi-navegacion-items a {
    text-decoration: none;
}

.mi-navegacion-logo img {
	height: 70px;
}


@media(min-width: 992px) {
	.mi-navegacion {
		display: flex;
		flex-direction: row;
		justify-content: space-between;
	}
	
	.mi-toggle {
        display: none;
    }

	.mi-navegacion-items {
        display: flex;
        margin-right: 30px;
        flex-direction: row;
        justify-content: flex-end;
    }

	.mi-navegacion-items li {
        margin: 12px;
    }
}